#

Function VECTOR

Syntax:

vector `&rest` objects => vector

Arguments and Values:

object---an object.

vector---a vector of type `(vector t *)`.

Description:

Creates a fresh simple general vector whose size corresponds to the number of objects.

The vector is initialized to contain the objects.

Examples:

     (arrayp (setq v (vector 1 2 'sirens))) =>  true
     (vectorp v) =>  true
     (simple-vector-p v) =>  true
     (length v) =>  3

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also:

make-array

Notes:

vector is analogous to list.

     (vector a1 a2 ... an)
      ==  (make-array (list n) :element-type t
                              :initial-contents
                                (list a1 a2 ... an))

Copyright 1996-2005, LispWorks Ltd. All rights reserved.